Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1656203 - [OSP14] Newer erlang in OSP should Obsolete erlang-reltool
Summary: [OSP14] Newer erlang in OSP should Obsolete erlang-reltool
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: erlang
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: zstream
: 14.0 (Rocky)
Assignee: John Eckersberg
QA Contact: pkomarov
URL:
Whiteboard:
Depends On:
Blocks: 1657370 1657371 1657373 1657374 1657375 1657377
TreeView+ depends on / blocked
 
Reported: 2018-12-04 22:31 UTC by John Eckersberg
Modified: 2019-06-07 18:02 UTC (History)
4 users (show)

Fixed In Version: erlang-18.3.4.11-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1657370 1657371 1657373 1657374 1657375 1657377 (view as bug list)
Environment:
Last Closed: 2019-06-07 18:02:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Eckersberg 2018-12-04 22:31:26 UTC
OSP <= 8 with erlang R16 had an erlang-reltool subpackage.  Newer erlang versions are built with wxwidgets disabled, which in turn also disables generation of the erlang-reltool package.

This makes it impossible to upgrade cleanly between R16 and newer versions, since the R16 reltool package stays installed but requires the rest of the R16 runtime so the transaction fails.

Due to the way erlang is built and tagged across OSP versions, it makes the most sense to fix this in the most recent version (OSP14) and clone/tag it back through all OSP versions until 8 for upgrades enablement.  All intermediary versions are similar and should not be a problem to sync everything:

OSP9-OSP12 has erlang-18.3.4.7-1.el7ost
OSP13 has erlang-18.3.4.8-1.el7ost
OSP14 has erlang-18.3.4.11-1.el7ost (pending in -candidate)

So we'll build erlang-18.3.4.11-2.el7ost and sync that.

Comment 3 Lon Hohberger 2019-01-15 19:35:39 UTC
According to our records, this should be resolved by erlang-18.3.4.11-2.el7ost.  This build is available now.

Comment 4 pkomarov 2019-01-17 11:42:43 UTC
(undercloud) [stack@undercloud-0 ~]$ cat core_puddle_version 
2019-01-08.1(undercloud) [stack@undercloud-0 ~]$ rhos-release -L
Installed repositories (rhel-7.6):
  14
  ceph-3
  ceph-osd-3
  rhel-7.6
#check version : erlang-18.3.4.11-2.el7ost
[root@controller-1 ~]# docker ps |grep rabbit
2b1af045b310        192.168.24.1:8787/rhosp14/openstack-rabbitmq:pcmklatest                      "/bin/bash /usr/lo..."   2 days ago          Up 2 days                                   rabbitmq-bundle-docker-1
[root@controller-1 ~]# docker exec -it rabbitmq-bundle-docker-1 bash
()[root@controller-1 /]# rpm -qa|grep erlang
erlang-erts-18.3.4.11-2.el7ost.x86_64
erlang-compiler-18.3.4.11-2.el7ost.x86_64
erlang-snmp-18.3.4.11-2.el7ost.x86_64
erlang-ssl-18.3.4.11-2.el7ost.x86_64
erlang-otp_mibs-18.3.4.11-2.el7ost.x86_64
erlang-stdlib-18.3.4.11-2.el7ost.x86_64
erlang-syntax_tools-18.3.4.11-2.el7ost.x86_64
erlang-asn1-18.3.4.11-2.el7ost.x86_64
erlang-tools-18.3.4.11-2.el7ost.x86_64
erlang-os_mon-18.3.4.11-2.el7ost.x86_64
erlang-crypto-18.3.4.11-2.el7ost.x86_64
erlang-mnesia-18.3.4.11-2.el7ost.x86_64
erlang-public_key-18.3.4.11-2.el7ost.x86_64
erlang-sasl-18.3.4.11-2.el7ost.x86_64
erlang-sd_notify-1.0-2.el7ost.x86_64
erlang-kernel-18.3.4.11-2.el7ost.x86_64
erlang-hipe-18.3.4.11-2.el7ost.x86_64
erlang-runtime_tools-18.3.4.11-2.el7ost.x86_64
erlang-inets-18.3.4.11-2.el7ost.x86_64
erlang-eldap-18.3.4.11-2.el7ost.x86_64
erlang-xmerl-18.3.4.11-2.el7ost.x86_64


Note You need to log in before you can comment on or make changes to this bug.